Get all services

View as Markdown
Gets a list of services in a system environment. The response includes details about analytics, compliance, and governance metadata.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

systemEnvironmentIdstringRequired
The system environment's ID.
namestringOptional<=255 characters

Filter results to the given the service name. This is case-insensitive.

tagsstringOptionalformat: "^[^,]+(,[^,]+)*$"

A comma-separated list of tag names to filter by.

governanceGroupIdstringOptional
Filter results to only services that belong to the given governance group ID.
limitintegerOptional1-100Defaults to 20
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects
A list of list of services.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error